/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * See file LICENSE at the top of this source tree for license information.
 */

#ifndef	_INTERNAL_H_
#define	_INTERNAL_H_

#include <ctype.h>
#include <fcntl.h>
#include <inttypes.h>
#include <limits.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <stdint.h>
#include "misc/lib_context.h"
#include "datastruct/list.h"
#include "locking/locking.h"
#include "log/log.h"
#include "mm/dbg_malloc.h"
#include "misc/misc.h"
#include "display/display.h"
#include "device/dev-io.h"
#define FORMAT_HANDLER
#include "format/format.h"
#undef FORMAT_HANDLER
#include "metadata/metadata.h"
#include "activate/activate.h"
#include "activate/devmapper.h"

#ifndef	u_int16_t
#define	u_int16_t	uint16_t
#endif

#ifndef	u_int32_t
#define	u_int32_t	uint32_t
#endif

#ifndef	u_int64_t
#define	u_int64_t	uint64_t
#endif

#define min(a, b) a <= b ? a : b
#define max(a, b) a > b ? a : b
#define ARRAY_SIZE(a)   (sizeof(a) / sizeof(a[0]))

#endif
