/*
 * Copyright (C) 2004  Heinz Mauelshagen, Red Hat GmbH. All rights reserved.
 *
 * See file LICENSE at the top of this source tree for license information.
 */

#ifndef _DBG_MALLOC_H_
#define _DBG_MALLOC_H_

#include <stdio.h>
#include <sys/types.h>

void *dbg_malloc(size_t size);
void *dbg_realloc(void *ptr, size_t size);
void dbg_free(void *ptr);
void *dbg_strdup(void *ptr);

#endif
